package net.ensode.wickettest;

import java.util.Arrays;

import wicket.PageParameters;
import wicket.RequestCycle;
import wicket.markup.html.form.CheckBox;
import wicket.markup.html.form.ChoiceRenderer;
import wicket.markup.html.form.DropDownChoice;
import wicket.markup.html.form.Form;
import wicket.markup.html.form.TextField;
import wicket.model.CompoundPropertyModel;
import wicket.model.PropertyModel;

public class PizzaForm extends Form
{
  private DropDownChoice crustDropDown;
  private CheckBox pepperoniCheckBox = new CheckBox("pepperoni");
  private CheckBox sausageCheckBox = new CheckBox("sausage");
  private CheckBox onionsCheckBox = new CheckBox("onions");
  private CheckBox greenPeppersCheckBox = new CheckBox("greenPeppers");
  private TextField commentsTextField = new TextField("comments");

  public PizzaForm(String id)
  {
    super(id);
    PizzaModel pizzaModel = new PizzaModel();
    setModel(new CompoundPropertyModel(pizzaModel));
    crustDropDown = new DropDownChoice("crust",new PropertyModel(pizzaModel, "crust"), Arrays
        .asList(new CrustType[]
                              { new CrustType("Thin & Crispy"), new CrustType("Hand Tossed"),
                                  new CrustType("Pan Pizza") }), new ChoiceRenderer("text", "id"));

    add(crustDropDown);
    add(pepperoniCheckBox);
    add(sausageCheckBox);
    add(onionsCheckBox);
    add(greenPeppersCheckBox);
    add(commentsTextField);
  }

  @Override
  protected void onSubmit()
  {
    PizzaModel pizzaModel = (PizzaModel) getModelObject();

    setResponsePage(new WicketTestConfPage(pizzaModel));
  }

}
